Subject: Re: [bug#49219] Acknowledgement ([PATCH]: Update emacs-telega.)

From: Leo Prikler <[email-masked]>
Date: Fri, 09 Jul 2021 15:15:32 +0200

Am Freitag, den 09.07.2021, 13:27 +0200 schrieb Leo Prikler:
> Am Freitag, den 09.07.2021, 18:36 +0800 schrieb Zhu Zihao:
> > Giovanni Biscuolo writes:
> > 
> > > Also, if you think it's useful in the future we could also add a
> > > "emacs-telega-server-unstable" for testing bleading edge TDLib
> > > features.
> > > 
> > > WDYT?
> > > 
> > > I'll give your patch series a try if I find some time this week.
> > > 
> > > Thanks! Gio'
> > > 
> > > 
> > > [1] 
> > > https://github.com/zevlg/telega.el/issues/297#issuecomment-868992025
> > 
> > I'm OK with it, maybe rename it to `emacs-telega-server-next`?
> > 
> > But I'm not sure Guix maintainer would accept it or not.
> This probably depends on how often we'd have to bump TDLib to make
> this
> meaningful.  "Major" release sounds like a 1.0 → 2.0 version bump,
> which if "unstable" telega only depended on stuff introduced e.g. in
> 1.1 → 1.2 sounds a little too strict.  However, if unstable telega
> means tailing arbitrary TDLib commits, I'd rather avoid doing that.
> 
> There's so far no precedent to worry about such things, though, so
> I'd
> rather push the existing patch after some testing or an altered one
> if
> problems are detected.  I haven't gotten to testing things myself
> either, but given that we are one stable telega release behind, now
> sounds like a good time to start doing that.  (Please pardon the
> laziness on my part – I typically do lexical work before practical
> one
> to allow myself to work on other patches and projects as well.)
> 
> Regards,
> Leo
After some testing, I've decided to push the current patch set, albeit
with some changes.  I redid my old hardcoding of ffmpeg and rephrased
the commit messages to be more explicit.  I also followed up with a
bump to 0.7.025.

There might still be some discussion to be had about versioning, but
for now I will close this bug.

Regards,
Leo